Page MenuHomekolab.org

PHP warnings when using PHP7
Closed, ResolvedPublic

Description

E.g.:

PHP Warning:  Declaration of kolab_sync_logger::log($message, $method) should be compatible with Zend_Log::log($message, $priority, $extras = NULL) in /usr/share/kolab-syncroton/lib/kolab_sync_logger.php on line 28
PHP Warning:  Declaration of kolab_sync_data_email::getObject($entryid, &$folder = NULL) should be compatible with kolab_sync_data::getObject($folderid, $entryid, &$folder = NULL) in /usr/share/kolab-syncroton/lib/kolab_sync_data_email.php on line 29

but there may be more.

Details

Ticket Type
Task

Event Timeline

machniak created this task.May 10 2017, 1:40 PM
machniak renamed this task from PHP wornings when using PHP7 to PHP warnings when using PHP7.
machniak closed this task as Resolved.May 10 2017, 4:07 PM
machniak claimed this task.